Bug 323267 - Adding and removing bookmarks in the thumbnail panel acts on the current page instead
Summary: Adding and removing bookmarks in the thumbnail panel acts on the current page...
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Unclassified
Component: general (show other bugs)
Version: 0.17.60
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-07 19:25 UTC by Jaan Vajakas
Modified: 2013-12-29 18:10 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaan Vajakas 2013-08-07 19:25:10 UTC
Although the pop-up menu appearing at right click in Thumbnails view correctly displays the number of the page whose thumbnail is under the mouse cursor, the "Add bookmark" and "Remove bookmark" commands in the menu act on the current page, not to the page under the mouse cursor.

Reproducible: Always

Steps to Reproduce:
1. Open a multi-page document. Scroll to the beginning of page 1 if you aren't there already.
2. Open the Thumbnails view in the Navigation panel.
3. Right-click on the thumbnail of page 2; click "Add bookmark".
4. Right-click on the thumbnail of page 2; click "Remove bookmark".
Actual Results:  
"Add bookmark" adds a bookmark to the page 1. "Remove bookmark" removes this bookmark.

Expected Results:  
"Add bookmark" should add a bookmark to the page 2. "Remove bookmark" should remove a bookmark from page 2.
Comment 1 Albert Astals Cid 2013-08-17 14:56:40 UTC
Mailson you broke this.
Comment 2 Albert Astals Cid 2013-10-12 18:31:22 UTC
Mailson, you alive?
Comment 3 Mailson Menezes 2013-10-14 11:11:05 UTC
Wow. Sorry. I'll take a look on that.
Comment 4 Pinak Ahuja 2013-10-14 12:39:44 UTC
You're laptop came with windows 8?  Check out this link:
https://help.ubuntu.com/community/UEFI
Comment 5 Pinak Ahuja 2013-10-14 12:40:01 UTC
Sorry wrong list
Comment 6 Albert Astals Cid 2013-12-16 22:35:20 UTC
Mailson?
Comment 7 Albert Astals Cid 2013-12-29 18:10:31 UTC
Git commit b43a4337af47d1b1871dd5a8ff1a62de972cc167 by Albert Astals Cid, on behalf of Mailson Menezes.
Committed on 29/12/2013 at 18:09.
Pushed by aacid into branch 'KDE/4.11'.

Fix adding and removing bookmarks in the thumbnail panel

Fix adding and removing bookmarks in the thumbnail panel

Add and removal of bookmarks via the thumbnail context menu was acting
on the current viewport instead of the clicked page. This patch checks
whether it should act on the viewport or in the right clicked page.
FIXED-IN: 4.11.5

M  +22   -4    part.cpp

http://commits.kde.org/okular/b43a4337af47d1b1871dd5a8ff1a62de972cc167